erlang (1:25.3.2.8+dfsg-1ubuntu4.6) noble-security; urgency=medium

  * SECURITY UPDATE: SSL verification mishandling via extended key usage
    - debian/patches/CVE-2024-53846-1.patch: CA extended key usage check in
      lib/public_key/src/pubkey_cert.erl,
      lib/public_key/src/public_key.erl,
      lib/public_key/test/public_key_SUITE.erl.
    - debian/patches/CVE-2024-53846-2.patch: peer ext-keyusage extension
      should alwyas be verified if present in lib/ssl/doc/src/ssl.xml,
      lib/ssl/src/ssl.erl, lib/ssl/src/ssl_certificate.erl,
      lib/ssl/src/ssl_handshake.erl, lib/ssl/src/ssl_internal.hrl,
      lib/ssl/src/tls_handshake_1_3.erl, lib/ssl/test/ssl_cert_SUITE.erl.
    - debian/patches/CVE-2024-53846-3.patch: adjust certificate key usage
      compatible check in lib/public_key/src/pubkey_cert.erl.
    - CVE-2024-53846

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2026 14:09:07 -0500

erlang (1:25.3.2.8+dfsg-1ubuntu4.5) noble-security; urgency=medium

  * SECURITY UPDATE: Increased resource consumption in the SSH module.
    - debian/patches/CVE-2025-48038.patch: Add handle_op for file handle length
      string exceeding 256 bytes in lib/ssh/src/ssh_sftpd.erl.
    - debian/patches/CVE-2025-48039.patch: Add max_path option and limits in
      lib/ssh/src/ssh_sftpd.erl.
    - debian/patches/CVE-2025-48040.patch: Add max_log_len in
      lib/ssh/src/ssh_connection.erl. Add Class:Reason0:Stacktrace for decode
      failures in lib/ssh/src/ssh_connection_handler.erl. Add trim_reason and
      max_log_len in lib/ssh/src/ssh_lib.erl. Change decode_kex_init in
      lib/ssh/src/ssh_message.erl. Change kexinit_error and modify Msg in
      lib/ssh/src/ssh_transport.erl.
    - debian/patches/CVE-2025-48041.patch: Add max_handles option and limits in
      lib/ssh/src/ssh_sftpd.erl.
    - CVE-2025-48038
    - CVE-2025-48039
    - CVE-2025-48040
    - CVE-2025-48041

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 17 Oct 2025 12:53:40 -0230

erlang (1:25.3.2.8+dfsg-1ubuntu4.4) noble-security; urgency=medium

  * SECURITY UPDATE: insufficient strict KEX handshake hardening measures
    - debian/patches/CVE-2025-46712-1.patch: add KEX strict implementation
      fixes in lib/ssh/src/ssh_connection_handler.erl,
      lib/ssh/src/ssh_fsm_kexinit.erl, lib/ssh/src/ssh_transport.erl,
      lib/ssh/test/ssh_protocol_SUITE.erl,
      lib/ssh/test/ssh_trpt_test_lib.erl.
    - CVE-2025-46712
  * SECURITY UPDATE: path traversal and other issues in zip
    - debian/patches/CVE-2025-4748.patch: properly sanitize filenames when
      (un)zipping in lib/stdlib/src/zip.erl, lib/stdlib/test/zip_SUITE.erl.
    - CVE-2025-4748

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Jul 2025 11:10:28 -0400

erlang (1:25.3.2.8+dfsg-1ubuntu4.3) noble-security; urgency=medium

  * SECURITY UPDATE: Unauthenticated Remote Code Execution in SSH
    - debian/patches/CVE-2025-32433.patch: disconnect when connection
      protocol message arrives when user is not authenticated for
      connection in lib/ssh/src/ssh_connection.erl,
      lib/ssh/test/ssh_protocol_SUITE.erl.
    - CVE-2025-32433

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Apr 2025 14:21:37 -0400

erlang (1:25.3.2.8+dfsg-1ubuntu4.2) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2025-30211-1.patch: reduce log processing for
      plain connections.
    - debian/patches/CVE-2025-30211-2.patch: ignore too long names.
    - debian/patches/CVE-2025-30211-3.patch: use chars_limit for bad
      packets error messages.
    - debian/patches/CVE-2025-30211-4.patch: custom_kexinit test added.
    - CVE-2025-30211

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 02 Apr 2025 19:25:37 +0200

erlang (1:25.3.2.8+dfsg-1ubuntu4.1) noble-security; urgency=medium

  * SECURITY UPDATE: incorrect SSH packet size check
    - debian/patches/CVE-2025-26618.patch: sftp reject packets exceeding
      limit in lib/ssh/src/ssh_sftpd.erl.
    - CVE-2025-26618

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Feb 2025 10:51:40 -0500

erlang (1:25.3.2.8+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:08 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu3) noble; urgency=medium

  * d/patches/pr-7952.patch: Take upstream PR to fix build with _TIME_BITS=64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 09:27:34 +1300

erlang (1:25.3.2.8+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:52:12 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu1) noble; urgency=medium

  * ssl: remove small and legacy elliptic curves (LP: #2051379)

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 26 Jan 2024 17:43:30 +0100

erlang (1:25.3.2.8+dfsg-1) unstable; urgency=medium

  * New upstream release, which fixes CVE-2023-48795 - downgrading security
    features in SSH connections (closes: #1059002).
  * Refresh patches.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 19 Dec 2023 18:19:42 +0300

erlang (1:25.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the useless menu items from the main menu and from the Konsole
    application menu.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Feb 2023 17:47:23 +0300

erlang (1:25.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 31 Jan 2023 08:14:26 +0300

erlang (1:25.2.1+dfsg-2) unstable; urgency=medium

  * Remove broken links in /usr/include and /usr/lib (closes: #1029321).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jan 2023 12:06:07 +0300

erlang (1:25.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to libncurses-dev, libgl-dev, libglu-dev in the build-dependencies
    list.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Jan 2023 09:27:06 +0300

erlang (1:25.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility version to 13.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2022 13:53:29 +0300

erlang (1:25.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Use -O1 optimization for armel because -O2 makes erl segfault on certain
    platforms, e.g. Marvell (closes: #1023673).
  * Bump standards version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Nov 2022 11:12:45 +0300

erlang (1:25.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Switch build locale to C.UTF-8 because of UTF-8 encoded JAVA sources.
  * Remove the patch which change font for atoms enclosed in single quotes
    in Emacs Erlang mode because it causes incomplete syntax highlighting.
  * Adapt debian/watch to changes on Github.
  * Remove debian/NEWS because it's too old for now.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Nov 2022 14:24:22 +0300

erlang (1:24.3.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to wxwidgets3.2 (closes: #1019785).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Sep 2022 13:32:33 +0300

erlang (1:24.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 Jun 2022 09:38:41 +0300

erlang (1:24.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 04 May 2022 11:39:51 +0300

erlang (1:24.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2022 12:37:06 +0300

erlang (1:24.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Mar 2022 12:08:09 +0300

erlang (1:24.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Mar 2022 15:19:16 +0300

erlang (1:24.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Mar 2022 13:40:28 +0300

erlang (1:24.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Feb 2022 12:25:13 +0300

erlang (1:24.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Feb 2022 10:48:20 +0300

erlang (1:24.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Dec 2021 19:39:20 +0300

erlang (1:24.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Dec 2021 12:51:44 +0300

erlang (1:24.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Nov 2021 08:32:50 +0300

erlang (1:24.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Nov 2021 17:19:55 +0300

erlang (1:24.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove an unused lintian override.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Oct 2021 13:54:07 +0300

erlang (1:24.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Replace calls to 'which', which is deprecated, by calls to
    'command -v' in maintainer scripts.
  * Mark the erlang, erlang-doc, erlang-examples, erlang-nox, erlang-src,
    erlang-x11 packages as multi-arch foreign.
  * Move epmd.service and epmd.socket to /usr/lib/systemd/system/.
  * Bump standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 28 Sep 2021 10:15:57 +0300

erlang (1:24.0.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Sep 2021 09:50:21 +0300

erlang (1:24.0.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Change the autoconf version to 2.71 in the otp_build script.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 03 Sep 2021 14:11:04 +0300

erlang (1:24.0.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 14:20:13 +0300

erlang (1:24.0.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Use ./otp_build update_configure instead of ./otp_build autoconf which is
    a noop now.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 02 Aug 2021 07:25:51 +0300

erlang (1:24.0.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Explicitly use --disable-sctp configure option for bsd and hurd
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2021 13:01:20 +0300

erlang (1:24.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 Jul 2021 23:10:04 +0300

erlang (1:24.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Jun 2021 10:54:00 +0300

erlang (1:24.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Apr 2021 08:45:21 +0300

erlang (1:24.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Rename another PATH_MAX occurrence to enable build for GNU/Hurd and
    GNU/kFreeBSD.
  * Adapt debian/watch to the currently implemented release scheme.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 26 Mar 2021 15:44:51 +0300

erlang (1:24.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Remove obsolete patch which adapted erlang-wx to wxwidgets-3.0.
  * Remove obsolete patch which fixed a function prototype in beam_load.c.
  * Remove the erlang-base-hipe binary package because HiPE support has been
    dropped upstream in favor of JIT.
  * Add libwxgtk-webview3.0-gtk3-dev to the list of build dependencies to
    enable webview support in erlang-wx.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 03 Mar 2021 20:42:02 +0300

erlang (1:23.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 25 Feb 2021 12:34:59 +0300

erlang (1:23.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Feb 2021 11:27:52 +0300

erlang (1:23.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Feb 2021 09:36:40 +0300

erlang (1:23.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Jan 2021 11:43:21 +0300

erlang (1:23.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release, which includes a fix for CVE-2020-35733 (the ssl
    application 10.2 accepts and trusts an invalid X.509 certificate chain
    to a trusted root Certification Authority, closes: #980199).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2021 08:50:49 +0300

erlang (1:23.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Dec 2020 13:16:47 +0300

erlang (1:23.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Dec 2020 15:07:09 +0300

erlang (1:23.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Dec 2020 12:01:49 +0300

erlang (1:23.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Nov 2020 17:03:12 +0300

erlang (1:23.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Nov 2020 11:30:20 +0300

erlang (1:23.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Oct 2020 08:52:49 +0300

erlang (1:23.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Sep 2020 22:22:49 +0300

erlang (1:23.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Sep 2020 10:37:31 +0300

erlang (1:23.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document IPAddressDeny and IPAddressAllow options for epmd.socket in
    README.Debian.
  * Remove the obsolete TODO.Debian.
  * Override some lintian warnings about link breakouts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 21 Jul 2020 18:46:49 +0300

erlang (1:23.0.2+dfsg-3) unstable; urgency=medium

  * Add a patch which fixes FTBFS for GNU/Hurd.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Jun 2020 15:35:09 +0300

erlang (1:23.0.2+dfsg-2) unstable; urgency=medium

  * Upload of the new major upstream release to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Jun 2020 19:12:02 +0300

erlang (1:23.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 29 May 2020 10:21:23 +0300

erlang (1:23.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 22 May 2020 10:57:08 +0300

erlang (1:23.0+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.
  * Refresh patches.
  * Remove symlinks to no longer shipped erl_interface include files and
    libraries.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 12:03:52 +0300

erlang (1:22.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to versioned virtual packages erlang-abi and erlang-pcre,
    retain providing the old ones for backward compatibility.
  * Bump the erlang-pcre version since some changes incompatible for the
    current build of elixir-lang were introduced (closes: #958841).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 28 Apr 2020 10:22:10 +0300

erlang (1:22.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Apr 2020 16:37:16 +0300

erlang (1:22.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Mar 2020 12:46:36 +0300

erlang (1:22.2.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move the epmd user home directory to /run/epmd from /var/run/epmd.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Feb 2020 11:08:45 +0300

erlang (1:22.2.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 18 Feb 2020 14:10:08 +0300

erlang (1:22.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 03 Feb 2020 00:11:55 +0300

erlang (1:22.2.3+dfsg-2) unstable; urgency=medium

  * Disable the builtin socket (as a nif) support for the hurd-i386
    architecture because it cannot be built there.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jan 2020 22:54:24 +0300

erlang (1:22.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 20 Jan 2020 16:22:23 +0300

erlang (1:22.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 14 Jan 2020 08:14:08 +0300

erlang (1:22.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly add libx11-dev to build dependencies to fix building
    of the erlang-wx package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Jan 2020 14:01:08 +0300

erlang (1:22.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove upwards-stack.patch since it has been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Dec 2019 13:46:49 +0300

erlang (1:22.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Nov 2019 17:20:36 +0300

erlang (1:22.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 11 Nov 2019 14:47:26 +0300

erlang (1:22.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Nov 2019 14:18:03 +0300

erlang (1:22.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 Oct 2019 09:25:34 +0300

erlang (1:22.1.1+dfsg-3) unstable; urgency=medium

  * Fix a typo in the clean target of debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2019 10:48:07 +0300

erlang (1:22.1.1+dfsg-2) unstable; urgency=medium

  * Make erlang-base and erlang-base-hipe provide the erlang-pcre-<version>
    virtual package to help tracking if elixir-lang or any other package
    that uses precompiled regexs needs rebuild (closes: #941124).
  * Use the version of upwards-stack.patch which has been approved upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2019 07:55:19 +0300

erlang (1:22.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2019 22:49:39 +0300

erlang (1:22.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Document the upwards-stack.patch patch.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Sep 2019 13:45:18 +0300

erlang (1:22.0.7+dfsg-3) unstable; urgency=medium

  * Add a patch which determines correctly if stack goes upwards to make
    the re module working on hppa (closes: #939804).
  * Bump standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Sep 2019 13:41:43 +0300

erlang (1:22.0.7+dfsg-2) unstable; urgency=medium

  * Switch to the GTK-3 based implementation of wxWidgets (closes: #933480).
  * Document usage of GDK_BACKEND=x11 for wxGLCanvas in README.Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2019 20:50:38 +0300

erlang (1:22.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Override lintian error on EPMD systemd service file without init.d script
    since it isn't required for EPMD to run.
  * Force using system-wide zlib.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Jul 2019 13:57:16 +0300

erlang (1:22.0.5+dfsg-2) unstable; urgency=medium

  * Reupload as a source package to promote to testing.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jul 2019 12:26:55 +0300

erlang (1:22.0.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Jul 2019 09:20:44 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog erlang-base`.
